## ros-kinetic-xiaoqiang 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xiaoqiang)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-xiaoqiang (0.0.12-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.11-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.10-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.9-0xenial) xenial; urgency=high

  * remove navigation from package
  * add navigation
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Wed, 06 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.8-0xenial) xenial; urgency=high

  * add depth image process
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Tue, 05 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.7-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Thu, 31 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.6-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 30 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.5-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Tue, 29 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.3-0xenial) xenial; urgency=high

  * add changeset
  * update readme and package.xml
  * add controller
  * update readme
  * add many packages
  * Contributors: xiaoqiang
  * update readme and package.xml
  * add controller
  * update readme
  * add many packages
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Mon, 28 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang (0.0.2-0xenial) xenial; urgency=high

  * add description
  * Contributors: xiaoqiang

 -- Randoms <randoms@randoms.me>  Fri, 25 May 2018 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xiaoqiang
Section: misc
Priority: extra
Maintainer: Randoms <randoms@bwbot.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://www.bwbot.org/content/xiaoqiang
Standards-Version: 3.9.2

Package: ros-kinetic-xiaoqiang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-xiaoqiang-bringup, ros-kinetic-xiaoqiang-controller, ros-kinetic-xiaoqiang-description, ros-kinetic-xiaoqiang-driver, ros-kinetic-xiaoqiang-freenect, ros-kinetic-xiaoqiang-monitor, ros-kinetic-xiaoqiang-msgs, ros-kinetic-xiaoqiang-server
Description: Drivers, description, and utilities for xiaoqiang.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xiaoqiang//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
